import { Repo } from './repo';
import { XrefFile } from 'xrefparser';
export declare class Config {
    data: ConfigData;
    private configRootDir;
    private reposDir;
    private configFile;
    initialize(): void;
    private checkDirs;
    private loadConfig;
    saveConfig(): void;
    addRepo(repo: Repo): void;
    removeRepo(reponame: string): void;
    repoExists(reponame: string): boolean;
    writeRepoData(reponame: string, xrefdata: any): boolean;
    getRepo(reponame?: string): Repo;
    private getRepoFilename;
    loadRepo(reponame: string): XrefFile[];
}
export declare class ConfigData {
    current: string;
    editor: {
        name: string;
        executable: string;
        open: string;
    };
    repos: Repo[];
}
