"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ParseArgs {
    static Parse() {
        const commandLineArgs = require('command-line-args');
        const mainDefinitions = [
            { name: 'command', defaultOption: true }
        ];
        const mainOptions = commandLineArgs(mainDefinitions, { stopAtFirstUnknown: true });
        const argv = mainOptions._unknown || [];
        console.log('mainOptions\n===========');
        console.log(mainOptions);
        let options = {};
        if (mainOptions.command === 'init') {
            const mergeDefinitions = [
                { name: 'name', alias: 'n' },
                { name: 'force', alias: 'f', type: Boolean }
            ];
            options = commandLineArgs(mergeDefinitions, { argv });
            console.log('\nmergeOptions\n============');
            console.log(options);
        }
        return {
            command: 'init',
            options: options
        };
    }
}
exports.ParseArgs = ParseArgs;
//# sourceMappingURL=parseargs.js.map