/// <reference types="node" />
import { Executable } from './../executable';
import { Config } from '../config';
import * as fs from 'fs';
export declare class ExportCommand implements Executable {
    private config;
    private reponame;
    private outfile;
    private searcher;
    private xreffiles;
    private includeEmpty;
    constructor(config: Config);
    execute(params: any): Promise<void>;
    validate(params: any): boolean;
    private outputSourceTable;
    writeLine(writeStream: fs.WriteStream, line: string[]): Promise<void>;
}
